Bug 2037019 (CVE-2022-0286) - CVE-2022-0286 kernel: Local denial of service in bond_ipsec_add_sa
Summary: CVE-2022-0286 kernel: Local denial of service in bond_ipsec_add_sa
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-0286
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2042564 2048733 2048747 2048748
Blocks: 2037026 2042475
TreeView+ depends on / blocked
 
Reported: 2022-01-04 16:38 UTC by Pedro Sampaio
Modified: 2022-06-16 11:23 UTC (History)
49 users (show)

Fixed In Version: Linux kernel 5.14-rc2
Doc Type: If docs needed, set a value
Doc Text:
A NULL pointer dereference flaw was found in the Linux kernel’s bonding driver in the way a user bonds non existing or fake device. This flaw allows a local user to crash the system, causing a denial of service.
Clone Of:
Environment:
Last Closed: 2022-05-11 04:46:34 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:2229 0 None None None 2022-05-12 11:27:10 UTC
Red Hat Product Errata RHBA-2022:4630 0 None None None 2022-05-18 11:46:56 UTC
Red Hat Product Errata RHBA-2022:4693 0 None None None 2022-05-19 05:11:21 UTC
Red Hat Product Errata RHBA-2022:4969 0 None None None 2022-06-08 18:40:30 UTC
Red Hat Product Errata RHBA-2022:5088 0 None None None 2022-06-16 11:23:52 UTC
Red Hat Product Errata RHSA-2022:1975 0 None None None 2022-05-10 14:40:52 UTC
Red Hat Product Errata RHSA-2022:1988 0 None None None 2022-05-10 14:47:01 UTC

Description Pedro Sampaio 2022-01-04 16:38:20 UTC
A flaw was found in the Linux kernel. A null dereference in bond_ipsec_add_sa() may lead to a local denial of service.

Upstream commit:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=105cd17a866017b45f3c45901b394c711c97bf40

References:

https://syzkaller.appspot.com/bug?id=160f641886d88bf11cbf1236cc4db994bb210626

Comment 2 Alex 2022-01-31 17:59:55 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2048733]

Comment 5 Justin M. Forbes 2022-01-31 23:01:58 UTC
This was fixed for Fedora with the 5.13.6 stable kernel  updates.

Comment 10 errata-xmlrpc 2022-05-10 14:40:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1975 https://access.redhat.com/errata/RHSA-2022:1975

Comment 11 errata-xmlrpc 2022-05-10 14:46:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1988 https://access.redhat.com/errata/RHSA-2022:1988

Comment 12 Product Security DevOps Team 2022-05-11 04:46:30 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-0286


Note You need to log in before you can comment on or make changes to this bug.